public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-office/texmaker/
Date: Wed, 22 Jan 2025 23:16:10 +0000 (UTC)	[thread overview]
Message-ID: <1737587675.d5f7c273547240bed81dfe2cc3b843af7b86fde2.asturm@gentoo> (raw)

commit:     d5f7c273547240bed81dfe2cc3b843af7b86fde2
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 22 21:49:03 2025 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Jan 22 23:14:35 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d5f7c273

app-office/texmaker: Drop dev-qt/qtwebengine[widgets] dependency

It was actually already off by default, so this is only correcting RDEPEND.

Bug: https://bugs.gentoo.org/926654
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 app-office/texmaker/texmaker-5.1.4-r1.ebuild | 86 ++++++++++++++++++++++++++++
 1 file changed, 86 insertions(+)

diff --git a/app-office/texmaker/texmaker-5.1.4-r1.ebuild b/app-office/texmaker/texmaker-5.1.4-r1.ebuild
new file mode 100644
index 000000000000..1f950ae203cc
--- /dev/null
+++ b/app-office/texmaker/texmaker-5.1.4-r1.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qmake-utils readme.gentoo-r1 xdg
+
+DESCRIPTION="Powerful LaTeX-IDE"
+HOMEPAGE="https://xm1math.net/texmaker/"
+SRC_URI="https://xm1math.net/texmaker/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~amd64-linux ~x86-linux"
+IUSE=""
+
+# dev-qt/qtcore slot op: includes private/qabstractitemmodel_p.h
+COMMON_DEPEND="
+	app-text/hunspell:=
+	app-text/poppler[qt5]
+	dev-qt/qtcore:5=
+	dev-qt/qtdeclarative:5
+	dev-qt/qtgui:5
+	dev-qt/qtlockedfile
+	dev-qt/qtnetwork:5
+	dev-qt/qtprintsupport:5
+	dev-qt/qtsingleapplication[X,qt5(+)]
+	dev-qt/qtwidgets:5
+	dev-qt/qtxml:5
+	sys-libs/zlib
+	x11-libs/libX11
+	x11-libs/libXext
+"
+RDEPEND="${COMMON_DEPEND}
+	app-text/ghostscript-gpl
+	app-text/psutils
+	media-libs/netpbm
+	virtual/latex-base
+"
+DEPEND="${COMMON_DEPEND}
+	dev-qt/qtconcurrent:5
+"
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( utilities/AUTHORS utilities/CHANGELOG.txt )
+HTML_DOCS=( doc/. )
+
+PATCHES=( "${FILESDIR}/${PN}-5.1-unbundle-hunspell-singleapp.patch" )
+
+src_prepare() {
+	default
+
+	find singleapp hunspell -delete || die
+
+	cat >> ${PN}.pro <<- EOF
+	exists(texmakerx_my.pri):include(texmakerx_my.pri)
+	EOF
+
+	cp "${FILESDIR}"/texmakerx_my.pri . || die
+
+	sed \
+		-e '/^#include/s:hunspell/::g' \
+		-e '/^#include/s:singleapp/::g' \
+		-i *.cpp *.h || die
+
+	DOC_CONTENTS="A user manual with many screenshots is available at:
+	${EPREFIX}/usr/share/${PN}/usermanual_en.html"
+}
+
+src_configure() {
+	local myeqmakeargs=(
+		${PN}.pro
+		QT_MAJOR_VERSION=5
+		INTERNALBROWSER=no # bug 926654, just making sure
+		PREFIX="${EPREFIX}/usr"
+		DESKTOPDIR="${EPREFIX}/usr/share/applications"
+		ICONDIR="${EPREFIX}/usr/share/pixmaps"
+	)
+	eqmake5 ${myeqmakeargs[@]}
+}
+
+src_install() {
+	emake INSTALL_ROOT="${D}" install
+	einstalldocs
+	readme.gentoo_create_doc
+}


             reply	other threads:[~2025-01-22 23:16 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-01-22 23:16 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-22 23:16 [gentoo-commits] repo/gentoo:master commit in: app-office/texmaker/ Andreas Sturmlechner
2024-11-23 11:36 Andreas Sturmlechner
2023-11-12 12:20 Sam James
2023-02-07 17:25 Andreas Sturmlechner
2020-11-14 21:48 David Seifert
2020-04-03 11:00 Mikle Kolyada
2020-02-16 22:06 Andreas Sturmlechner
2019-06-26  6:50 Agostino Sarubbo
2019-06-25  7:04 Agostino Sarubbo
2019-05-18 17:39 Andreas Sturmlechner
2018-04-25  1:30 Aaron Bauman
2018-03-19 17:16 Andreas Sturmlechner
2018-03-13 12:51 Michael Palimaka
2018-02-22 10:51 Andreas Sturmlechner
2017-07-04 15:55 Kristian Fiskerstrand
2017-07-04 15:49 Agostino Sarubbo
2017-07-04 14:15 Kristian Fiskerstrand
2017-07-04 10:17 Agostino Sarubbo
2017-06-04 19:39 Kristian Fiskerstrand
2017-01-15 18:16 Kristian Fiskerstrand
2016-01-08 17:23 Kristian Fiskerstrand
2015-11-26 11:46 Justin Lecher
2015-09-25 14:29 Agostino Sarubbo
2015-09-24 13:50 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1737587675.d5f7c273547240bed81dfe2cc3b843af7b86fde2.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox